Description

Please add Toggle labels on/off to layer context menu. 

I can't express how much I miss this feature from ArcGIS. 

This should be quite easy to implement IMHO.

History

#1 - 2017-07-13 07:50 PM - Richard Duivenvoorde

- Easy fix? changed from No to Yes

Sounds like an easy fix, nice job for new dev's?

Some remarks / questions:

- is it really useful enable/disable labels often?

- actually asking: is it worth to add another menu item into the context menu

- could it be part of 'styles' (in properties it is NOT, so...)

- would it ALWAYS be visible? Like if not configured yet (which column to show, styles etc), should it be disabled? OR should it popup the labelproperties

dialog then?

#2 - 2017-07-13 08:07 PM - Richard Duivenvoorde

FYI: by accident there is also a plugin which adds a button for this: http://plugins.qgis.org/plugins/DeactivateActiveLabels/

#3 - 2017-07-14 05:12 PM - Nikolay Lebedev

C'mon this should really be in core :)

#4 - 2017-07-14 05:22 PM - Nikolay Lebedev

Richard Duivenvoorde wrote:

Some remarks / questions:

- is it really useful enable/disable labels often?

All guys from our mapping dept use this all the time. Like when you duplicate layer for technical purposes, label it with some expr/attribute to quickly see

whats inside all of the features and style the main one. Going through info or attribute table one-by-one is way slower. 

You need to switch on/off often and fast to hide technical info (labels). This is on top of our wish list. ArcGIS has this in layer menu from version 8.0 or smth
I suppose.

- actually asking: is it worth to add another menu item into the context menu

It's not so crowded to add just one useful item. After all there are items like "Set project CRS from layer", which are much rarely used due to OTF reproj by

default.

- could it be part of 'styles' (in properties it is NOT, so...)

No, please don't hide it on the second level.

- would it ALWAYS be visible? Like if not configured yet (which column to show, styles etc), should it be disabled? OR should it popup the

labelproperties dialog then?

This could be customized for sure. NP with not adding it by default. A hotkey would also be great.
